Python script

I am new in Blender. I have installed Blender 2.5 and every time I run it, I am receiving the following message in a different window:
Compiled with Python Version 2.5.2.
’ import site’ failed; use -v for traceback
Checking for installed Python … No installed Python found.
Only built-in modules are available. Some scripts may not run.
Continuing happily.
I have installed Python and tried to configure it but I have not been successful. Anything else I can try? Please help!

You need the same version of Python that Blender is compiled with. (I thought 2.5 was compiled with py3.0 not 2.5 as shown in your console - maybe you’re on a Mac?)

%<

if thats what your console window is showing, its 2.49, not 2.5. what is your operating system? what version of python do you have installed?

As far as I know, Blender 2.5 works with python 3.0 or 3.1, Blender 2.49 works with Python 2.6.x and Python 2.5.x is compatible with Blender 2.46 till 2.48… :spin: